﻿//////////////////////////////////////////////
// CursorUtils.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "../Dll/DllDefines.h"

// nkMaths
#include <NilkinsMaths/Geometry/Point.h>

/// Class ------------------------------------

namespace nkWinUi
{
	class DLL_WINUI_EXPORT CursorUtils final
	{
		private :

			// Functions
			// Constructeur, destructeur
			CursorUtils () = delete ;
			~CursorUtils () = delete ;

		public :

			// Functions
			// Getters
			static nkMaths::Point getCursorPosition () ;
	} ;
}