﻿//////////////////////////////////////////////
// ExporterLoadResult.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkExport
{
	class Node ;
}

/// Includes ---------------------------------

// nkExport
#include "../Dll/DllDefines.h"

#include "../Errors/ExportError.h"

/// Class ------------------------------------

namespace nkExport
{
	struct DLL_EXPORT_EXPORT ExporterLoadResult final
	{
		// Attributes
		// Tree actif
		Node* _tree ;

		// Erreur si jamais
		ExportError _error ;

		// Functions
		ExporterLoadResult () ;
		ExporterLoadResult (ExporterLoadResult&& other) ;
		~ExporterLoadResult () ;
	} ;
}